Subject: bug#49265: [External] : bug#49265: 28.0.50; repeat mode feature request

From: Drew Adams <[email-masked]>
Date: Tue, 6 Jul 2021 18:25:51 +0000

> >> Maybe Drew could suggest a better text?
> >
> > My suggestion would be to not say anything about the
> > keymaps involved.  What's the purpose in trying to do
> > that?  What additional help do you mean to provide
> > by it?
> 
> But the keymaps are the essential part of this feature.

Sorry, I haven't understood that.  How so?
What does the doc/help tell us about their
importance for "this feature"?

> >> I propose to rename this command to `describe-repeat-mode'.
> >
> > That sounds like it's a command that describes some
> > mode called `repeat-mode'.
> 
> This is correct, the mode is called `repeat-mode'.

I see.  I don't see that in Emacs releases.
Presumably it is new for Emacs 28.  So does
this command describe the mode?  Or does it
just list key bindings (as `describe-keymap'
does)?

> > I don't have a great suggestion for the name.  IIUC,
> > the command lists bindings of commands that are
> > defined using function `repeat'.
> >
> > Maybe `list-repeat-commands', as OP suggested.  Or
> > maybe `describe-repeat-bindings', as it is bindings
> > that are listed/described.  I don't think it's
> > about describing the commands - their bindings are
> > listed.
> 
> Thanks for the suggestion, this helped to rename it
> to the most proper name `describe-repeat-maps',
> because this feature is based on `repeat-map' props.
> Also did my best to fix text strings.

So are there multiple repeat maps?  And what
about what you hinted above - that this command
describes `repeat-mode'?  Is there perhaps a
`repeat-mode-map', and is this about that?

Not clear to me (not that that matters).